Product Documentation

System Requirements for SmartAuditor

Oct 09, 2015

SmartAuditor is available in English, French, German, Japanese, Spanish, and simplified Chinese. All SmartAuditor components that connect to each other must be the same language edition; mixed-language installations are not supported.

The English-language edition of SmartAuditor is supported on English, Russian, traditional Chinese, and Korean operating systems. The French, German, Japanese, Spanish, and simplified Chinese editions of SmartAuditor are supported on operating systems in their respective languages.

SmartAuditor Administration Components

The SmartAuditor Administration components (SmartAuditor Database, SmartAuditor Server, and SmartAuditor Policy Console) can be installed on a single server or on different servers.

SmartAuditor Database

Supported Windows operating systems:
  • Microsoft Windows Server 2008 R2
  • Microsoft Windows Server 2003 with Service Pack 2
  • Microsoft Windows 2000 with Service Pack 4
Requirements:
  • Microsoft SQL Server 2008 (Enterprise and Express editions)
  • Microsoft SQL Server 2005 (Enterprise and Express editions) with Service Pack 2
  • .NET Framework Version 3.5

SmartAuditor Server

Supported Windows on Microsoft Windows Server 2008 R2.

Requirements:
  • .NET Framework Version 3.5.
  • If the SmartAuditor Server uses HTTPS as its communications protocol, SSL. SmartAuditor uses HTTPS by default, which Citrix recommends.
  • Microsoft Message Queuing (MSMQ), with Active Directory integration disabled, and MSMQ HTTP support enabled.

SmartAuditor Policy Console

Supported Windows operating systems:
  • Microsoft Windows Server 2008 R2
  • Microsoft Windows 7
  • Microsoft Windows Vista
Requirements:
  • Install the Microsoft IIS Management Console manually before installing the SmartAuditor Policy Console.
  • Microsoft IIS Management Console

SmartAuditor Agent

Install the SmartAuditor Agent on every XenApp server on which you want to record sessions.

Requirements:
  • XenApp 6 for Windows Server 2008 R2 Platinum edition server software
  • Microsoft Windows Server 2008 R2
  • .NET Framework Version 3.5.
  • Microsoft Message Queuing (MSMQ), with Active Directory integration disabled, and MSMQ HTTP support enabled

SmartAuditor Player

Supported Windows operating systems:
  • Microsoft Windows XP
  • Microsoft Windows Vista
  • Windows 7

The SmartAuditor Player requires .NET Framework Version 3.5.

The update contained in Microsoft Knowledge Base article 961118 is required if you are using .NET Framework Version 3.5 and installing the SmartAuditor Player on the same computer as a XenApp server. Install the update after installing .NET Framework.

For optimal results, install SmartAuditor Player on a workstation with:
  • Screen resolution of 1024 x 768
  • Color depth of at least 32-bit
  • Memory: 1GB RAM (minimum)—additional RAM can improve performance on large files